#ifndef FREQUENCYTUNING_H
#define FREQUENCYTUNING_H

#include <QObject>

#include "device/DeviceBase.h"
#include "protocol/FrequencyTuningProtocolBM.h"

class FrequencyTuning : public DeviceBase
{
    Q_OBJECT
public:
    explicit FrequencyTuning(QObject *parent = nullptr);
    ~FrequencyTuning();

    void afterFramePhase(DeviceFrameBaseDto * frameDto) override;
    void sendDataToSerial(QByteArray data) override;

signals:
    void sendDataToDraw(DeviceFrameBaseDto * frameData);

public slots:
    void dataReceivedHandler(QByteArray data);

};

#endif // FREQUENCYTUNING_H
